create or replace function create_patient_id_list
(
	p_doctor_id	in number
)
return varchar2
is
	l_ret	varchar2(200) := null;
begin
	for pat_rec in
	(
		select patient_id
		from doctor_authority
		where doctor_id = p_doctor_id
	) loop
		l_ret := l_ret || ','||pat_rec.patient_id;
	end loop;
	return ltrim(rtrim(l_ret,','),',');
end;
/
