begin
	dbms_rls.drop_policy
	(
		object_schema 	=> 'HOSPITAL',
		object_name 	=> 'TREATMENTS',
		policy_name	=> 'TREAT_VIEW_POLICY'
	);
end;
/
begin
	dbms_rls.add_policy
	(
		object_schema 	=> 'HOSPITAL',
		object_name 	=> 'TREATMENTS',
		policy_name	=> 'TREAT_VIEW_POLICY',
		policy_function => 'GET_PATIENT_ID',
		function_schema => 'HOSPITAL',
		statement_types => 'SELECT, INSERT, UPDATE, DELETE',
		update_check 	=> true,
		enable		=> true
	);
end;
/
