create or replace trigger set_patlist_ctx
after logon on database
declare
	l_doctor_id	number;
begin
	begin
		select doctor_id
		into	l_doctor_id
		from hospital.doctors
		where doctor_name = USER;
	exception
		when NO_DATA_FOUND then
			null;
	end;
	hospital.set_app_ctx (hospital.create_patient_id_list(l_doctor_id));
end;
/
